Skip to main content
`Ctrl`+`K`

# VecGetBlockSize

Gets the blocksize for the vector, i.e. what is used for `VecSetValuesBlocked()` and `VecSetValuesBlockedLocal()`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecGetBlockSize(Vec v, PetscInt *bs)

Not Collective

## Input Parameter

- v - the vector

## Output Parameter

- bs - the blocksize

## Note

All vectors obtained by `VecDuplicate()` inherit the same blocksize.

## See Also

Vectors and Parallel Data, `Vec`, `VecSetValuesBlocked()`, `VecSetLocalToGlobalMapping()`, `VecSetBlockSize()`

## Level

advanced

## Location

src/vec/vec/interface/vector.c

## Examples

src/snes/tutorials/ex71.c
src/ksp/ksp/tutorials/ex73.c
src/snes/tutorials/ex76.c
src/ksp/ksp/tutorials/ex71.c
src/dm/tutorials/swarm_ex3.c
src/dm/field/tutorials/ex1.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages